// 订单模块 - 接单大厅流程
import request from '@/utils/request'

// 接单大厅 - 拒绝、无法接单
export function endByOrderId(data) {
	return request({
		headers: {
			"isToken": true
		},
		url: "/applet/order/endByOrderId",
		method: 'post',
		data
	})
}

// 接单大厅 - 根据订单标识查询订单详情的接口
export function getByOrderId(params) {
	return request({
		headers: {
			"isToken": true
		},
		url: "/applet/order/getByOrderId",
		method: 'get',
		params
	})
}

// 小程序-接单大厅流程
export function orderList(params) {
	return request({
		headers: {
			"isToken": true
		},
		url: "/applet/order/list",
		method: 'get',
		params
	})
}

// 小程序-我的订单流程
export function myList(params) {
	return request({
		headers: {
			"isToken": true
		},
		url: "/applet/order/myList",
		method: 'get',
		params
	})
}

// 接单大厅 - 立即接单
export function startByOrderId(data) {
	return request({
		headers: {
			"isToken": true
		},
		url: "/applet/order/startByOrderId",
		method: 'post',
		data
	})
}